%define major		1
%define minor		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define libnametagc	%mklibname %{name}_c %{minor}
%define libold		%mklibname %{name} 0
%define libolddev	%mklibname %{name} 0 -d

Summary:	Library for reading and editing audio meta data
Name:		taglib
Version:	1.12
Release:	%mkrel 1
License:	LGPLv2+
Group:		File tools
URL:		http://developer.kde.org/~wheeler/taglib.html
Source:		http://taglib.github.io/releases/taglib-%{version}.tar.xz

BuildRequires:	zlib-devel
BuildRequires:	cppunit-devel

%description
TagLib, is well, a library for reading and editing audio meta data, 
commonly know as tags.
Some goals of TagLib:
A clean, high level, C++ API to handling audio meta data.
Support for at least ID3v1, ID3v2 and Ogg Vorbis comments.
A generic, simple API for the most common tagging related functions.
Binary compatibility between minor releases using the standard KDE/Qt 
techniques for C++ binary compatibility.
Make the tagging framework extensible by library users; i.e. it will be 
possible for libarary users to implement additional ID3v2 frames, 
without modifying the TagLib source.
Because TagLib desires to be toolkit agnostic, in hope of being widely 
adopted and the most flexible in licensing TagLib provides many of its 
own toolkit classes; in fact the only external dependency that TagLib has, 
it a semi-sane STL implementation.

#---------------------------------------------------------------------
%files


%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and editing audio meta data
Obsoletes:	%{libold} < 1.5.0
Obsoletes:	taglib < 1.5.0

%description -n	%{libname}
Main taglib library.


%files -n %{libname}
%{_libdir}/libtag.so.%{major}*
%{_libdir}/libtag_c.so.%{minor}*

#---------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/Libraries
Summary:	Headers and static lib for taglib development
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{libolddev}

%description -n	%{develname}
Install this package if you want do compile applications i
using the libtag library.

%files -n %{develname}
%{_bindir}/taglib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
%cmake -DWITH_ASF=ON -DWITH_MP4=ON

%make_build

%install
%make_install -C build

%multiarch_binaries %{buildroot}%{_bindir}/taglib-config

%changelog
* Wed Feb 17 2021 tex - 1.12-1pclos2021
- new version

* Thu Feb 14 2019 tex - 1.11.1-3pclos2019
- rebuild against updates

* Thu Oct 19 2017 bb2 <bb2> - 1.11.1-2pclos2017
- rebuild against updated libs
- new gcc

* Sat Sep 30 2017 bb2 <bb2> - 1.11.1-1pclos2017
- new version 
